<sqtm-core-creation-dialog
  [attr.data-test-dialog-id]="'new-parameter'"
  (add)="addDataset($event)"
  (addAnother)="addAnotherDataset()"
>
  <div class="m-10" [formGroup]="formGroup">
    <div class="sqtm-core-dialog-form p-4">
      <label class="label label__align_right">{{
        'sqtm-core.test-case-workspace.dialog.field.dataset-name' | translate
      }}</label>
      <sqtm-core-text-field
        [initialFocus]="true"
        [formGroup]="formGroup"
        [fieldName]="'name'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
        #nameField
      ></sqtm-core-text-field>
      @for (param of data.parameters; track param) {
        <label class="label label__align_right">{{ param.name }}</label>
        <sqtm-core-text-field
          [formGroup]="formGroup"
          [fieldName]="param.id"
          [serverSideFieldValidationError]="serverSideValidationErrors"
        ></sqtm-core-text-field>
      }
    </div>
  </div>
</sqtm-core-creation-dialog>
